P4_EKEY_TO_FKEY(3)

NAME
p4_ekey_to_fkey - EKEY>FKEY ( key-code# -- key-code# 0 | fkey-code# true! )

SYNOPSIS

#include <pfe/term-ext.h>

FCodep4_ekey_to_fkey(---);

DESCRIPTION

If the input ekey value was not an extended key then flag is set to FALSE and the value is left unchanged. Compare to EKEY>CHAR for the inverse.

If the input eky was an extended key then the value will be modified such that shifted values are transposed to their base EKEY plus K-SHIFT-MASK - therefore the K-SHIFT-MASK is only apropriate for the result fkey-code values of the p4_ekey_to_fkey function.

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) Tektronix, Inc, 1998 - 2001. Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>